/*
 * lcd_clock.h
 *
 *  Created on: Sep 29, 2023
 *      Author: user
 */

#ifndef INC_LCD_CLOCK_H_
#define INC_LCD_CLOCK_H_

#include "main.h"

#define LCD_COM0_REGISTER LCD_RAM_REGISTER0
#define LCD_COM1_REGISTER LCD_RAM_REGISTER2
#define LCD_COM2_REGISTER LCD_RAM_REGISTER4
#define LCD_COM3_REGISTER LCD_RAM_REGISTER6
#define LCD_SEG0_BIT_SHIFT 0
#define LCD_SEG1_BIT_SHIFT 3
#define LCD_SEG2_BIT_SHIFT 4
#define LCD_SEG3_BIT_SHIFT 5
#define LCD_SEG4_BIT_SHIFT 6
#define LCD_SEG5_BIT_SHIFT 8
#define LCD_SEG6_BIT_SHIFT 9

void clear_first_digit(void);
void clear_second_digit(void);
void draw_first_digit(uint8_t digit);
void draw_second_digit(uint8_t digit);
void draw_deg_c(void);
void draw_colon(void);
void clear_colon(void);
void draw_pm(void);
void clear_pm(void);

#endif /* INC_LCD_CLOCK_H_ */
